AI Music API
Home
Home
  1. sonic
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
    • upload
    • download
    • get music
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • 参数不正确
Home
Home
  1. sonic

get VOX

POST
https://api.aimusicapi.ai/api/v1/sonic/vox
Extract vocal audio data from a song. You can optionally specify a time range (up to 30 seconds) to extract vocals from a specific portion.
Credits cost: 1
Other details:
1.
The clip ID must be created through our service.
2.
The clip ID should ideally have been created within the last 24 hours.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "clip_id": "26c9c592-0566-46cf-bb71-91ac1deaa7b5",
    "vocal_start_s": 0,
    "vocal_end_s": 30
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.aimusicapi.ai/api/v1/sonic/vox' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "clip_id": "26c9c592-0566-46cf-bb71-91ac1deaa7b5",
    "vocal_start_s": 0,
    "vocal_end_s": 30
}'

Responses

🟢200OK
application/json
Success
Body

Example
{
    "code": 200,
    "message": "success",
    "data": {
        "vox_audio_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "status": "complete",
        "source_clip_id": "26c9c592-0566-46cf-bb71-91ac1deaa7b5",
        "vocal_start_s": 0,
        "vocal_end_s": 30,
        "wave_response": {}
    }
}
Modified at 2026-01-24 13:10:46
Previous
get BPM
Next
get wav
Built with